@del temp\crowd.o
@del temp\crowd.nes
@del temp\crowd.map.txt
@del temp\crowd.labels.txt
@del temp\crowd.nes.ram.nl
@del temp\crowd.nes.0.nl
@del temp\crowd.nes.1.nl
@echo.
@echo Compiling...
cc65\bin\ca65 crowd.s -g -o temp/crowd.o
@IF ERRORLEVEL 1 GOTO failure
@echo.
@echo Linking...
cc65\bin\ld65 -o temp/crowd.nes -C nrom.cfg temp/crowd.o -m temp/crowd.map.txt -Ln temp/crowd.labels.txt --dbgfile temp/crowd.nes.dbg
@IF ERRORLEVEL 1 GOTO failure
@echo.
@echo Generating FCEUX debug symbols...
python crowd_symbols.py
@echo.
@echo Success!
@pause
@GOTO endbuild
:failure
@echo.
@echo Build error!
@pause
:endbuild
